Name:           python-metricflow
Version:        0.207.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Translates a simple metric definition into reusable SQL and executes it against the SQL engine of your choice.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/metricflow/
Source:         %{pypi_source metricflow}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'metricflow' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-metricflow
Summary:        %{summary}

%description -n python3-metricflow %_description


%prep
%autosetup -p1 -n metricflow-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-metricflow -f %{pyproject_files}


%changelog
%autochangelog